#### Linux From Scratch - Version 12.0-rc1

### Chapter 7. Entering Chroot and Building Additional Temporary Tools

- Prev

  Bison-3.8.2

- Next

  Python-3.11.4

- Up
- Home

# 7.9. Perl-5.38.0

The Perl package contains the Practical Extraction and Report Language.

Approximate build time: 0.6 SBU
Required disk space: 280 MB

## 7.9.1. Installation of Perl

Prepare Perl for compilation:

    sh Configure -des                                        \
                 -Dprefix=/usr                               \
                 -Dvendorprefix=/usr                         \
                 -Duseshrplib                                \
                 -Dprivlib=/usr/lib/perl5/5.38/core_perl     \
                 -Darchlib=/usr/lib/perl5/5.38/core_perl     \
                 -Dsitelib=/usr/lib/perl5/5.38/site_perl     \
                 -Dsitearch=/usr/lib/perl5/5.38/site_perl    \
                 -Dvendorlib=/usr/lib/perl5/5.38/vendor_perl \
                 -Dvendorarch=/usr/lib/perl5/5.38/vendor_perl

The meaning of the new Configure options:

`-des`

  This is a combination of three options: -d uses defaults for all items; -e ensures completion of all tasks; -s silences non-essential output.

Compile the package:

    make

Install the package:

    make install

Details on this package are located in Section 8.42.2, “Contents of Perl.”

- Prev

  Bison-3.8.2

- Next

  Python-3.11.4

- Up
- Home